local t = Def.ActorFrame{

    --[[LoadActor(THEME:GetPathG("","_movie/Shimmering_Particles"))..{
		InitCommand=cmd(Cover);
    };]]
    
    --[[Def.Sprite{
    --InitCommand=cmd(y,SCREEN_CENTER_Y);
    CurrentSongChangedMessageCommand=function(self)
            local song = GAMESTATE:GetCurrentSong();
            if song then
                if song:HasBackground() then
                    local background = song:GetBackgroundPath();
                    self:Load(background);
                    local bgWidth = self:GetWidth();
                    --self:x(bgWidth/2); --SM centers graphics, so find center
                    --self:addx(-20); --Shift to the left a bit because the song wheel covers some stuff
                    self:diffusealpha(1);
                else
                    self:diffusealpha(0);
                    --self:Load();
                end
                --self:basezoomy(1000)
                --self:zoomtowidth(530)
                --self:scaletocover(100,0,573,540)
				self:Cover();
            else
                self:diffusealpha(0);
            end;
		end;
    };]]
    
    --[[LoadActor("musicwheel bg")..{
        InitCommand=cmd(Center);
    };]]
	
	--[[Def.Quad{
		InitCommand=cmd(setsize,SCREEN_WIDTH/2,SCREEN_HEIGHT;diffuse,Color("Black");faderight,1;horizalign,left;xy,0,SCREEN_CENTER_Y);
	};]]
	
	Def.Quad{
		InitCommand=cmd(setsize,SCREEN_WIDTH,SCREEN_HEIGHT;diffuse,color("0,0,0,.5");Center);
	};
    
	Def.Quad{
		InitCommand=cmd(setsize,SCREEN_WIDTH,60;diffuse,Color("Red");diffusealpha,.8;faderight,.5;xy,SCREEN_CENTER_X,SCREEN_CENTER_Y);
		CurrentSongChangedMessageCommand=function(self)
			self:stoptweening():cropright(1):linear(.2):cropright(0);
		end;
	};
	Def.Quad{
		InitCommand=cmd(setsize,SCREEN_WIDTH,2;diffuse,Color("White");fadeleft,.5;faderight,.5;xy,SCREEN_CENTER_X,SCREEN_CENTER_Y+30;vertalign,top);
	};


};

--t[#t+1] = squareGen(25, 2, false);
return t;